summaryrefslogtreecommitdiffstats
path: root/branch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'branch.sh')
-rwxr-xr-xbranch.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/branch.sh b/branch.sh
new file mode 100755
index 0000000..ba17401
--- /dev/null
+++ b/branch.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env fish
+
+git checkout $argv[1]
+or exit 1
+
+git submodule foreach "git checkout $argv[1]"
+or exit 1